InteractiveMode (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.cli.interactive

## [Groovy] Class InteractiveMode

- org.codehaus.groovy.grails.cli.interactive.InteractiveMode

- Provides the implementation of interactive mode in Grails.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected GrailsInteractiveCompletor` | `interactiveCompletor` |
    `protected MetaClassRegistryCleaner` | `registryCleaner` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static java.lang.String` | `ARG_SPLIT_PATTERN` Use this to split strings on unescaped whitespace.
    `static java.util.List` | `FIXED_OPEN_OPTIONS`
    `boolean` | `backgroundTestRunnerStarted`
    `GrailsConsole` | `console`
    `static InteractiveMode` | `current`
    `java.lang.Object` | `grailsServer`
    `boolean` | `interactiveModeActive`
    `java.lang.Object` | `openOptions` Options supported by the 'open' command.
    `GrailsScriptRunner` | `scriptRunner`
    `BuildSettings` | `settings`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `InteractiveMode (BuildSettings settings, GrailsScriptRunner scriptRunner)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected void` | `bang()`
    `protected void` | `execute(java.lang.String scriptName)`
    `protected void` | `exit(boolean shouldStopApp = false)`
    `protected void` | `goodbye()`
    `static boolean` | `isActive()`
    `protected void` | `open(java.lang.String scriptName)`
    `void` | `parseAndExecute(java.lang.String scriptName)`
    `void` | `prepareConsole(java.lang.Object commandLine)`
    `protected void` | `quit()`
    `void` | `refresh()`
    `void` | `restartDaemon()`
    `void` | `run()`
    `void` | `setGrailsServer(java.lang.Object grailsServer)`
    `protected void` | `startBackgroundTestRunner()`
    `protected void` | `stopApp()`
    `protected java.lang.Object` | `unescape(java.lang.String str)` Removes '\' escape characters from the given string.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected GrailsInteractiveCompletor interactiveCompletor

    - #### protected MetaClassRegistryCleaner registryCleaner

  - ### Property Detail

    - #### static final java.lang.String ARG_SPLIT_PATTERN

      Use this to split strings on unescaped whitespace.

    - #### static final java.util.List FIXED_OPEN_OPTIONS

    - #### boolean backgroundTestRunnerStarted

    - #### @groovy.lang.Delegate GrailsConsole console

    - #### static InteractiveMode current

    - #### java.lang.Object grailsServer

    - #### boolean interactiveModeActive

    - #### java.lang.Object openOptions

      Options supported by the 'open' command.

    - #### GrailsScriptRunner scriptRunner

    - #### BuildSettings settings

  - ### Constructor Detail

    - #### InteractiveMode(BuildSettings settings, GrailsScriptRunner scriptRunner)

  - ### Method Detail

    - #### protected void bang()

    - #### protected void execute(java.lang.String scriptName)

    - #### protected void exit(boolean shouldStopApp = false)

    - #### protected void goodbye()

    - #### static boolean isActive()

    - #### protected void open(java.lang.String scriptName)

    - #### void parseAndExecute(java.lang.String scriptName)

    - #### void prepareConsole(java.lang.Object commandLine)

    - #### protected void quit()

    - #### void refresh()

    - #### @groovy.transform.CompileStatic void restartDaemon()

    - #### void run()

    - #### void setGrailsServer(java.lang.Object grailsServer)

    - #### @groovy.transform.CompileStatic protected void startBackgroundTestRunner()

    - #### protected void stopApp()

    - #### protected java.lang.Object unescape(java.lang.String str)

      Removes '\' escape characters from the given string.